function []=plot_aste_faces(fieldin,fignum,crange);

if(length(crange)==0);
  %get range
  vmin=1e20;vmax=-vmin;
  for i=[1,3:5];
    vmin=min(vmin,min(min(fieldin{i})));
    vmax=max(vmax,max(max(fieldin{i})));
  end;
  crange=[vmin vmax];
end;
%face1:
figure(fignum);clf;colormap(parula(21));
clear hh ll
hh(1)=subplot(3,3,7);imagesc(fieldin{1}');set(gca,'ydir','normal');caxis(crange);
   aa=get(hh(1),'Position');
   set(hh(1),'Position',[0.9*aa(1),0.4*aa(2),aa(3),1.67*aa(4)]);set(gca,'dataaspectratio',[1 1 1]);
%keyboard;
if(sum(size(fieldin{2}))>0);
hh(2)=subplot(3,3,8);imagesc(fieldin{2}');set(gca,'ydir','normal');caxis(crange);
   ff=get(hh(2),'Position');
   set(hh(2),'Position',[0.9*ff(1),0.4*ff(2),ff(3),1.67*ff(4)]);set(gca,'dataaspectratio',[1 1 1]);
end;
hh(3)=subplot(3,3,5); imagesc(fieldin{3}');set(gca,'ydir','normal');caxis(crange);
   bb=get(hh(3),'Position');
   set(hh(3),'Position',[1.00*bb(1),1.1*bb(2),.62*bb(3),.62*bb(4)]);set(gca,'dataaspectratio',[1 1 1]);
hh(4)=subplot(3,3,6); imagesc(fieldin{4}');set(gca,'ydir','normal');caxis(crange);
   cc=get(hh(4),'Position');
   %ll=colorbar;ee=get(ll,'position');set(ll,'Position',[1.01*ee(1),ee(2),0.8*ee(3),ee(4)]);
   if(size(fieldin{4},1)<size(fieldin{4},2));
   set(hh(4),'Position',[0.90*cc(1),1.03*cc(2),0.67*cc(3),cc(4)]);set(gca,'dataaspectratio',[1 1 1]);
   else;
   set(hh(4),'Position',[0.90*cc(1),1.03*cc(2),1.67*cc(3),cc(4)]);set(gca,'dataaspectratio',[1 1 1]);
   end;
hh(5)=subplot(3,3,3); imagesc(fieldin{5}');set(gca,'ydir','normal');caxis(crange);
   dd=get(hh(5),'Position');
   set(hh(5),'Position',[0.9*cc(1),0.87*dd(2),1.67*dd(3),dd(4)]);set(gca,'dataaspectratio',[1 1 1]);

